<xmlscript>
	<!-- 
	Achtung: alle Blöcke MÜSSEN die Plus Seite auf der Ost-Seite (links) haben!	
		
	abhängig von den externen variablen startBlock und destBlock wird die travelDirection gesetzt
	plus: Zug fährt von plus-Seite nach Minus-Seite
	minus: Zug fährt von minus-Seite nach Plus-Seite
	invalid: keine erlaubte Kombination
	
	Blöcke sind sechsstellig kodiert in der Blcokeigenschaft Plattform
	MMSSGG
	MM ist die Modulnummer (Greifenstedt hat 50. Alles links davon muss kleiner sein, rechts größer)
	SS ist der Slot. Die Spalte von Blöcken auf dem Modul
		Die Strecke links von Gft hat  350Sgg (BfA = 0, Strecke A = 1, Strecke B = 2)
		Die Strecke rechts von Gft hat 850Sgg (Srecke Z = 26, Y = 25, X = 24)
	GG ist das Gleis

	 -->
  <function id="travelDir">
		<!-- Debug 
		<tx id="LabelStartZiel" format="Calculating travel direction from @selectedBlock to @selectedDestination" />		
		<sleep time="3000" />  
-->
	  <vr id="travelDirection" text="undefinded" value ="0" />
		<!-- Get the ID's from block table for start and destination blocks-->  		  
		<query vr="BlokZielIDNum" table="bklist" id="@selectedDestination" get="platform"/>
		<query vr="BlokStartIDNum" table="bklist" id="@selectedBlock" get="platform"/>
	
		<!-- calculate travelDirection-->  
		<vr id="travelDirection" value ="#BlokZielIDNum - #BlokStartIDNum"/>	

		<!-- Debug 
		<tx id="LabelStartZiel" format="#BlokZielIDNum - #BlokStartIDNum = #travelDirection" />
		<sleep time="3000" />
-->
		<!-- If the next block is on the richt (has a higher ID than actual), then Direction is "minus", else - "plus"-->  
		<if condition="#travelDirection > 0">
			<then>
				<vr id="travelDirection" text="minus"/>
				<!-- check block slots -->				
				<if condition="#travelDirection < 99"> 
					<then>
						<vr id="travelDirection" text="invalid"/>			
					</then>
				</if>				
				
			</then>
			<else>
				<if condition="#travelDirection < 0">
					<then>
						<vr id="travelDirection" text="plus"/>
						<!-- check block slots -->
						<if condition="#travelDirection > -99"> 
							<then>
								<vr id="travelDirection" text="invalid"/>			
							</then>
						</if>
						
					</then>
				</if>										
			</else>
		</if>
		
		<!-- Debug  -->
		<tx id="LabelStartZiel" format="travelDirection is @travelDirection #travelDirection" />
		<sleep time="0000" />
		
  </function>
</xmlscript>
